OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceSideStyle Class Reference

`#include <StepVisual_SurfaceSideStyle.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_SurfaceSideStyle ()
| Returns a SurfaceSideStyle .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfSurfaceStyleElementSelect)&aStyles)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetStyles (const Handle(StepVisual_HArray1OfSurfaceStyleElementSelect)&aStyles)
Standard_EXPORT Handle_StepVisual_HArray1OfSurfaceStyleElementSelect | Styles () const
Standard_EXPORT StepVisual_SurfaceStyleElementSelect | StylesValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbStyles () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_StepVisual_HArray1OfSurfaceStyleElementSelect | styles

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceSideStyle::StepVisual_SurfaceSideStyle | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_SurfaceSideStyle::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceSideStyle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfSurfaceStyleElementSelect)& | aStyles
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_SurfaceSideStyle::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_SurfaceSideStyle::NbStyles | ( |  | ) | const

Standard_EXPORT void StepVisual_SurfaceSideStyle::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepVisual_SurfaceSideStyle::SetStyles | ( | const Handle(StepVisual_HArray1OfSurfaceStyleElementSelect)& | aStyles | ) |

Standard_EXPORT Handle_StepVisual_HArray1OfSurfaceStyleElementSelect StepVisual_SurfaceSideStyle::Styles | ( |  | ) | const

Standard_EXPORT StepVisual_SurfaceStyleElementSelect StepVisual_SurfaceSideStyle::StylesValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepVisual_SurfaceSideStyle::name`[private]`

Handle_StepVisual_HArray1OfSurfaceStyleElementSelect StepVisual_SurfaceSideStyle::styles`[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceSideStyle.hxx